org.apache.hc.client5.http.classic

## Interface BackoffManager

All Known Implementing Classes:
  AbstractBackoff, AIMDBackoffManager, ExponentialBackoffManager, LinearBackoffManager

    public interface BackoffManager

Represents a controller that dynamically adjusts the size of an available connection pool based on feedback from using the connections.

Since:
  4.2

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `backOff(HttpRoute route)` Called when we have decided that the result of using a connection should be interpreted as a backoff signal.
`void` `probe(HttpRoute route)` Called when we have determined that the result of using a connection has succeeded and that we may probe for more connections.

### Method Detail

#### backOff

    void backOff(HttpRoute route)

Called when we have decided that the result of using a connection should be interpreted as a backoff signal.

Parameters:
  `route` - the affected route.

#### probe

    void probe(HttpRoute route)

Called when we have determined that the result of using a connection has succeeded and that we may probe for more connections.

Parameters:
  `route` - the affected route.